Bug 47847 - [PATCH] devel/commoncpp: fix building
Summary: [PATCH] devel/commoncpp: fix building
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tilman Keskinoz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-03 14:00 UTC by osa
Modified: 2003-02-17 18:30 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (475 bytes, patch)
2003-02-03 14:00 UTC, osa
no flags Details | Diff
patch-commoncpp (22.53 KB, text/plain; charset=us-ascii)
2003-02-03 15:40 UTC, osa
no flags Details
patch-ccscript (4.78 KB, text/plain; charset=us-ascii)
2003-02-04 12:48 UTC, osa
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description osa 2003-02-03 14:00:11 UTC
	devel/commoncpp: fix building

Fix: add following patch into port's files directory

======== files/patch-posix::friends.cpp =============
How-To-Repeat: 	cd ports/devel/commoncpp && make build
Comment 1 Tilman Keskinoz freebsd_committer 2003-02-03 14:03:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->arved

I will handle this.
Comment 2 osa 2003-02-03 15:40:18 UTC
On Mon, Feb 03, 2003 at 03:35:21PM +0100, Tilman Linneweh wrote:
> In arved.freebsd.ports, you wrote:
> > On Mon, Feb 03, 2003 at 06:04:46AM -0800, Tilman Linneweh wrote:
> >> Synopsis: [PATCH] devel/commoncpp: fix building
> >> 
> >> Responsible-Changed-From-To: freebsd-ports-bugs->arved
> >> Responsible-Changed-By: arved
> >> Responsible-Changed-When: Mon Feb 3 06:03:04 PST 2003
> >> Responsible-Changed-Why: 
> >> I will handle this. 
> >> 
> >> http://www.freebsd.org/cgi/query-pr.cgi?pr=47847
> > 
> > BTW what do you think about update CommonC++ to the
> > latest version (looks like commoncpp2-1.0.8.tar.gz
> > avaliable at ftp://ftp.gnu.org/gnu/commonc++/index.html)?
> 
> Thats exactly the reason why I grabbed it. I have a nearly ready upgrade (portlint and Test on 5.X missing) and already have the approval from David to commit it. 
> 
> If you like to help improving it and making it commit-ready, you can get it at
> http://people.freebsd.org/~arved/commoncpp2.diff 
> 
> I am currently a bit ill, but i hope to continue work on it this week.


Please check my patch.

BTW1 I bump PORTEPOCH because if we have somewhere old
version of CommonC++ - we may have a problem, isn't it?

BTW2 are you really sure that me just update commoncpp port?
Maybe repo-copy commoncpp into the commoncpp2 and the make
update?

-- 

Rgdz,                        /"\  ASCII RIBBON CAMPAIGN
Sergey Osokin aka oZZ,       \ /    AGAINST HTML MAIL
http://ozz.pp.ru/             X          AND NEWS
                             / \
Comment 3 osa 2003-02-04 12:48:03 UTC
On Mon, Feb 03, 2003 at 05:38:37PM +0100, Tilman Linneweh wrote:
> * "Sergey A. Osokin" <osa@freebsd.org.ru> [Mon, 3 Feb 2003 18:40:18
> +0300]:
> > Please check my patch.
> 
> Thank you very much! I will test it.
> 
> > BTW1 I bump PORTEPOCH because if we have somewhere old
> > version of CommonC++ - we may have a problem, isn't it?
> 
> The version in ports is broken, so i doubt anyone has an old
> version installed. But for safety we may set it.
> 
> > BTW2 are you really sure that me just update commoncpp port?
> > Maybe repo-copy commoncpp into the commoncpp2 and the make
> > update?
> 
> Yes, I asked David, and he said that commoncpp is obsolete, and that
> there is no reason to keep it in ports.


OK. Here is a next part. Its a upgrade of lang/ccscript.
Please check it and commit, when it possible.
Thanks.

-- 

Rgdz,                        /"\  ASCII RIBBON CAMPAIGN
Sergey Osokin aka oZZ,       \ /    AGAINST HTML MAIL
http://ozz.pp.ru/             X          AND NEWS
                             / \
Comment 4 Tilman Keskinoz freebsd_committer 2003-02-17 18:30:03 UTC
State Changed
From-To: open->closed

committed, thanks